[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cbi-dev] CBI Rebasing platform to M7

On 05/09/2012 03:12 PM, John Arthorne wrote:
To which pom file did you need to add this? There has been no change related to dependencies on org.eclipse.core.resources in M7 as far as I know, so I'm curious to know how this broke and where it needed to be fixed.
I added the workaround to the pom for the bundle org.eclipse.ui.win32 in the eclipse.platform.ui repository.

I actually tried reverting to the M6 version of the eclipse.platform.ui repository as well just to see if the problem persisted and it still threw the same error. So I think the problem is elsewhere.

> I had another question though. There was some new bundles in M7
> which I added and I noticed one of them in the manifest file was missing
> .qualifier which tycho complains about. For example:
>
>   Bundle-Version: 3.1.100

Which bundles had a missing qualifier? This sounds to me like an upstream bug, but need to know the specific bundle(s) to be sure.
Of all the ones I added only 1 was missing the .qualifier so far.

org.eclipse.test.performance.data from eclipse.platform.releng

I will report again if I find anymore as I go through the build.


Thanh